TARGETS = console-setup mountkernfs.sh resolvconf ufw screen-cleanup hostname.sh apparmor plymouth-log udev keyboard-setup cryptdisks cryptdisks-early networking urandom hwclock.sh iscsid checkroot.sh lvm2 checkfs.sh open-iscsi mountdevsubfs.sh mountall-bootclean.sh mountall.sh bootmisc.sh kmod mountnfs.sh procps mountnfs-bootclean.sh checkroot-bootclean.sh
INTERACTIVE = console-setup udev keyboard-setup cryptdisks cryptdisks-early checkroot.sh checkfs.sh
udev: mountkernfs.sh
keyboard-setup: mountkernfs.sh udev
cryptdisks: checkroot.sh cryptdisks-early udev lvm2
cryptdisks-early: checkroot.sh udev
networking: mountkernfs.sh urandom resolvconf procps
urandom: hwclock.sh
hwclock.sh: mountdevsubfs.sh
iscsid: networking
checkroot.sh: hwclock.sh mountdevsubfs.sh hostname.sh keyboard-setup
lvm2: cryptdisks-early mountdevsubfs.sh udev
checkfs.sh: cryptdisks lvm2 checkroot.sh
open-iscsi: networking iscsid
mountdevsubfs.sh: mountkernfs.sh udev
mountall-bootclean.sh: mountall.sh
mountall.sh: checkfs.sh checkroot-bootclean.sh lvm2
bootmisc.sh: mountall-bootclean.sh mountnfs-bootclean.sh udev checkroot-bootclean.sh
kmod: checkroot.sh
mountnfs.sh: networking
procps: mountkernfs.sh udev
mountnfs-bootclean.sh: mountnfs.sh
checkroot-bootclean.sh: checkroot.sh
